Subject: Re: problems reading/writing to files?
From: [email-masked] (Christopher Faylor)

13 Jul 1998 20:16:10 -0700
Message-ID: <[email-masked]>
To: [email-masked], [email-masked], [email-masked]

I'm not sure what you're saying.  If you are having a problem, then
the way to debug it is with gdb.  If the problem only manifests itself
when run as a service, then you'll have to resort to setting the STRACE
environment variable to something like 1,c:/somefile.out which will
produce a trace.

If you are expecting that the problem will be diagnosed by your description
of "comment out all the lines that wrote to the log file in order to get
past stack exceptions", then I'm sorry.  That's not enough to go on.

The "stack exceptions" occur in situations where a SIGSEGV, or SIGBUS, or
SIGILL occur under UNIX.  The addresses shown are representative of
addresses in your program and as such are important information that you
can use to debug the problem.

Since a large number people are successfully doing I/O using Cygwin, So,
I think that this is obviously not some sort generic "Cygwin32 can't do
I/O" problem.  If it is something like this, however, then we'll need
much more detailed information to fix it.

>From: "Fred Reimer" <[email-masked]>
>Date: Mon, 13 Jul 1998 09:20:22 -0400
>X-Priority: 3
>X-MSMail-Priority: Normal
>X-MimeOLE: Produced By Microsoft MimeOLE V5.00.0518.4
>
>Hmpf.
>
>I had a similar problem with junkbuster (www.junkbusters.com).  The provided
>exe file for windows did not seem to want to read the config files from the
>program directory when started as a NT service (using servany).  So, I
>decided to recompile it as a "Unix" program using cygwin.  I ended up having
>to comment out all the lines that wrote to the log file in order to get past
>all of the stack exceptions.  Something is up with this, as I'm pretty sure
>that the source was correct as it comes from junkbusters.  So either
>Jonathan and the guys at Junkbusters have the same incorrect programming
>habits (that happen to compile and run fine on Unix), both he and I have the
>same mis-configuration, or something's up with cygwin...
>
>Fred
>
>
>
>-----Original Message-----
>From: Christopher G. Faylor <[email-masked]>
>Newsgroups: cygnus.gnu-win32
>To: <[email-masked]>
>Date: Sunday, July 12, 1998 1:21 AM
>Subject: Re: problems reading/writing to files?
>
>
>>In article
><[email-masked]>,
>>Jonathan George <[email-masked]> wrote:
>>>Hello all!
>>>
>>>I'm compiling a program using cygwin b19.1, (gcc -o lite lite.c).
>>>
>>>The compile goes smoothly (no errors), yet when I run the program it seems
>>>to core dump everytime it tries to either READ or WRITE to a file (using
>>>fprintf and/or fgets...
>>>
>>>Here is the core:
>>
>>Debug this problem using gdb, just like you would do under UNIX.  Your
>>program has an error in it.  This is probably not a cygwin problem.
>>--
>>[email-masked]             "Everything has a boolean value, if you stand
>>http://www.cygnus.com/      far enough away from it."  -- Galena Alyson
>Canada
>>-
>>For help on using this list (especially unsubscribing), send a message to
>>"[email-masked]" with one line of text: "help".
>>
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".